import http from "@/api";
const VIDEO = `/video`;
// 视频分页列表
export const getVideoListApi = (params: any) => {
    return http.get<any>(`${VIDEO}/index`, params);
};
//视频详情
export const getVideoReadApi = (params: any) => {
    return http.get<any>(`${VIDEO}/read/${params}`);
};
//视频保存
export const getVideoSaveApi = (params: any) => {
    return http.post<any>(`${VIDEO}/save`, params);
};
//视频更新
export const getVideoUpdateApi = (params: any) => {
    return http.put<any>(`${VIDEO}/update/${params.id}`, params);
};
//视频删除
export const getVideoListDelApi = (params: any) => {
    return http.delete<any>(`${VIDEO}/delete/${params}`);
};
//视频导出
export const getVideoListExportApi = (params: any) => {
    return http.get<any>(`${VIDEO}/export`, params, {
        responseType: "arraybuffer"
    });
};
//视频分类
export const getVideoClassListApi = (params?: any) => {
    return http.get<any>(`/video/categorys`, params);
};
